Scilab Function
Last update : 00/00/0000

varn - indéterminée d'un polynôme

### Calling Sequence

  `[symb]=varn(p)`
  `[pm]=varn(x,var)`

### Parameters

- `p` : polynôme (ou matrice de polynômes)
- `symb` : chaîne de caractères
- `x` : polynôme (ou matrice de polynômes)
- `var` : indéterminée du polynôme
- `pm` : polynôme (ou matrice de polynômes)

### Description

`symb=varn(p)` renvoie dans `symb` l'indéterminée du polynôme `p` (par exemple `varn(poly(0,'x'))` est égal à `'x'`).

`varn(x,'s')` renvoie une matrice polynomiale de même taille que `x` mais avec `'s'` comme indéterminée.

### Examples

    s=poly(0,'s');p=[s^2+1,s];
    varn(p)
    varn(p,'x')

### See Also

`horner`, `poly`,